
sentationsand premos r de
- Better foolisheds more p- Looknal**
fessio✅ **Proages

ror messr er Bettegs
-in losources ntify re to ide*
- Easierbugging***De

✅ tive URLsscripre dengines
- Mo eearch s- Better forable)
plic** (if apEO **S
✅ bookmark
hare and Easier to se
-re they ar whe understands canul
- Useraningfdable and me are rea
- URLsrience**r Expe

✅ **Use## Benefitstime

oute at a e one rgratmiy  Graduallnd slugs
3.th UUIDs as bohich handleram()` wSlugPaarse2. Use `phanges
ute crt rove but reitiesp slug util:
1. Keearise issues k Plan

IfRollbac)

## on collisi names (slugte planuplica Dmes
   -g nalon very thns wi- Pla   in names
 charactersial ecns with sp- Pla*
   ge Cases* **Edns

4.peratioest CRUD oUIDs
   - T still use Ull API callsify a**
   - Ver*API Testes

3. * valuorrect show ceadcrumbsy br
   - VerifLsnew UR with ation flowsavigest all n   - Tst**
ion Te. **Navigat

2URLsookmarked t with b  - Tesn
 migratiouring ll work d stid UUID URLs- Ensure ol*
   t*lity Tesmpatibiard Cokw

1. **BacyategStr## Testing ;
```

{planSlug}`)r}/plan/$gement/${yeaormance-manaate(`/perfavigd);
n), plan.ie(plan.nameam(localizedNlugteUniqueSea crlug =
const planSteration - Af

// Navigan.id}`);pl/plan/${Id}nt/${yearanagemeformance-m(`/pervigate
naion - Beforeigat;

// Nav|| '')(planSlug lugParamparseSd } = lanI pd:t { i;
consd)unitI, lanYear(yearResolvedPuse } = arIda, yeearDatata: planY
const { dams();eParusSlug } = lantionKey, pyear, posi
const { 
// AfterarId);
ById(ye usePlanYeara } =YearDatlana: pconst { dat();
 = useParams }, planIdtionIdrId, posi{ yea
const Before
// ``tsxonent

`ble Compte PlanTapdae: Uxampl## EnSlug}`

lan/\${pyear}/plaent/\${nce-managemrmaerfoigate(\`/p
- `nav\${year}`ent/emance-managormate(\`/perf
- `navigith:

Replace w\${planId}`r}/plan/\${yeant/managemee-/performancigate(\`
- `navarId}`\${yeement/mance-manag/perfore(\`- `navigatf:
s oncer all instaearch fo Calls
Savigation

### 3. NuLayout.tsx`formanceMenpert/layout/nagemene-mac/performanc`sr/*`
- rarchyents/PlanHieement/compon-managrformance `src/pesx`
-rm.tn/PlanFogurationfits/Plan-Componenement/coance-managformerrc/p `sable.tsx`
-n/planTratiolan-Configuponents/P/comgement-manaanceerform
- `src/psing Paramsmponents U

### 2. Coute>
```>} />
</RoPlanForm /ement={< ellug/edit"lan/:planSth="pRoute pa />} />
  <ails={<PlanDetug" elementan/:planSl"plth=ute pa>
  <Rorchy />} /eranHila={<Pment" elelansth="p  <Route pat/:year">
managemenrformance-ath="peRoute par
<o ye tarIdall yege 
// Chan`tsxtsx)
``s (App. 1. Route

###eUpdato Files t Key ons

##operatiCRUD t all 
- [ ] Tesededre neolution wheo-ID resg-t ] Add slurnally
- [nte use UUIDs itill salls API callnsure [ ] Ealls
- I CUpdate APse 4: 
### Phation flows
l naviga] Test alams()`
- [ useParng `mponents usie all codat ] Up- [Slug`
an `:pllanId` torom `:p params fange route
- [ ] Ch` `:yearId` to `:year params fromoute r [ ] Changege)
-hanking Coutes (Breaate R 3: Upd## Phase

#dable valuesuse rearumbs to pdate breadcrs
- [ ] Uear numbe to use yu linkse menat [ ] Upd
-lugso use plan ss tate()` callnavigate all ` [ ] Updmbers
- nuars to use yell` ca `navigate()date all [ ] Upation
-e Navig: Updatase 2 Phrk)

###ll would sti URLs (shoID UUith existing[ ] Test wlugs
-  ss andUUIDth boto parse mponents  Update coook
- [ ] hanYear`eResolvedPlus
- [x] Add `hookyNumber` nYearB`usePla [x] Add ons
-y functi utilitte slug
- [x] Creaatible)rd Comp(Backwaupport d Slug S Ad1: Phase st

###lickration Che`

## Migment
``nce-departnatable/filans-/ Use: /puuid
/c-123-table/abof: /plans-nstead 
// ID:
```tsx of Iat insteadld, use th`key` fiea e ns havIf positioKeys

tion e Posions: Us 3. Positi
###
nId);
```n(pla } = usePlatalanDa data: p
const {lug);ram(planSugPaseSl } = parplanId id: nst {();
corams } = usePaanSlugst { plcons';

slugUtilt/utils/-managemenormancerom '@/perfram } fSlugParse part {
impoxs:**
```tsent compone slugs inrs**Pa
```

g}`);${planSlulan/t/2024/pemenmance-manag(`/perfor
navigate plan.id);ame),(plan.nzedNameocaliqueSlug(leUni = creatplanSlug
const g to a plann navigatin';

// Whetilstils/slugUmanagement/umance-for '@/pereSlug } fromiquUnatet { cresx
imporng:**
```ttivigahen naslugs we Generat
**Suffix
s with ID uglans: Use Sl. P
### 2
y
```r displa" fo24e "20ear will b/ ys
/for API callactual UUID be the arId will 
// yed);r, unitIear(yeavedPlanYol useRes, yearId } =ta{ danst 

coid;0]?.s?.[ata?.itemata?.d)?.dionId!zatorganitList(text?.getConunitId = uninst co();
itContextext = useUntContunid;
const tionI.organizaployee?.[0]?user?.emzationId = ni
const orga);Params(ar } = use{ yest w way
con
// Ne(yearId);
earByIdePlanY= usdata } st { ams();
conPar} = uset { yearId y
cons Old wasx
//*
```tve year:*olrests to ponen com

**Update
```nt/:year">eme-managerformance"pe path=tsx
<Rout:**
```

**To">
```arIdment/:yege-manaperformancee path="x
<Rout```ts:**
routes from

**Change NumbersYear s: Use lan Year# 1. Ps

##n Steptio Implementat
```

##5/edin-q2-abc1234lay-prterl/plan/quament/2024ance-managerforment
/pedepartmnce-s-table/finat/2024/plance-managemenmanerfor4/plans
/p/202nagementormance-maerf)
```
/pdable (Human-rea After
###`
``/edit
uuidhi-789-d/plan/guic-123-uent/abanagemnce-m/performa456-uuid
s-table/def-3-uuid/planment/abc-12ance-managerm/perfolans
-123-uuid/pt/abcanagemenrmance-m```
/perfoUID-based)
e (U# Beforhanges

##re CRL Structu.

## Uduleanagement moce mrmanin the perfole URLs readaban-to humased URLs D-bm UUIte froto migraains how xpl eideis gu
ThOverviews

## dable URLHuman-Rean Guide: gratio# Mi